### Method

# FwupdPlugin Device convert_instance_ids

since: 1.2.5

#### Declaration [src]

    void
    fu_device_convert_instance_ids (
      FuDevice* self
    )

#### Description [src]

Converts all the Device instance IDs added using `fu_device_add_instance_id()` into actual GUIDs, unless `FU_DEVICE_PRIVATE_FLAG_NO_AUTO_INSTANCE_IDS` has been set.

Plugins will only need to need to call this manually when adding child devices, as `fu_device_setup()` automatically calls this after the `fu_device_probe()` and `fu_device_setup()` virtual functions have been run.

Available since: 1.2.5